Package org.eclipse.equinox.p2.metadata

# Class KeyWithLocale

java.lang.Object
org.eclipse.equinox.p2.metadata.KeyWithLocale

All Implemented Interfaces:
  `Serializable`

public final class KeyWithLocale extends Object implements Serializable
A key that can be used to extract a localized property for a specified Locale

Since:
  2.0
See Also:
  - Serialized Form
Restriction:
  This class is not intended to be subclassed by clients.

## Constructor Summary

Constructors
Constructor
Description
`KeyWithLocale(String key, Locale locale)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getKey()`
`Locale`
`getLocale()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### KeyWithLocale

public KeyWithLocale(String key, Locale locale)

## Method Details

### getKey

public String getKey()

### getLocale

public Locale getLocale()